Bug 121757 - system-config-securitylevel displays incorrect selinux status
system-config-securitylevel displays incorrect selinux status
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 10:29 EDT by Matthew East
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-17 14:09:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew East 2004-04-27 10:29:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:
The status of selinux as reported by the system-config-securitylevel
GUI is not correct. i.e. it is not the same as that reported by
/etc/sysconfig/selinux. I have the latter set to "selinux=disabled"
but when I open the GUI it automatically has selinux set as active
(this can cause problems if I edit the firewall settings and click
save without looking in the selinux tab, as it will save the setting
to "active"). 

I have a similar problem with system-config-display, which I have
reported under bug #121756.

many thanks, and I hope you will be able to help me with this problem.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.3.11-1

How reproducible:
Always

Steps to Reproduce:
1. Set selinux to "disabled" in /etc/sysconfig/selinux 
2. Open system-config-securitylevel GUI
3. Compare the settings of selinux.
    

Actual Results:  They are not the same.

Expected Results:  They should be the same!

Additional info:
Comment 1 Michael Opdenacker 2004-04-29 10:40:33 EDT
I confirm that this happens to me too.
If you set SELinux to "Disabled" and click "OK",
the next time you run system-config-securitylevel,
SELinux is still displayed as "Active"
Comment 2 Michael Opdenacker 2004-04-29 10:44:17 EDT
Oops, adding me to the CC list
Comment 3 Matthew East 2004-04-30 08:22:29 EDT
More on this: I've recently setup Selinux as "permissive". However
system-config-securitylevel still displays it as "Active"
Comment 4 Kam Leo 2004-05-03 16:13:21 EDT
Even worst is that if Selinux is set to "disabled" in selinux it has
no effect.  On reboot dmesg shows Selinux as "Active".  I needed to
add "selinux=0" in grub/menu.lst to stop Selinux.
Comment 5 Yoshinobu Akimoto 2004-05-09 04:51:17 EDT
The Current state of SELinux is stored in /etc/sysconfig/selinux. It 
should be used as the current value of system-config-securitylevel.
Comment 6 Brent Fox 2004-05-17 14:09:20 EDT
The SELinux widgets were removed for the FC2 final release because we
just didn't have time to get the SELinux bits into usable state.  We
will revisit this for FC3.

Note You need to log in before you can comment on or make changes to this bug.